NEWS

[gelöst] Im Log sind das Fehler oder ist das ok?



  • Hi,

    ich hab auch mal wieder eine Frage, bei mir läuft IoB auf einem ESXI Debian 8 Stretch, NPM Version 4.6.1, Node Version 6.11.5 und Node.js auch 6.11.5.

    Wenn ich Adapter aktualisiere bekomme ich immer Egy ERR! Meldungen jedoch läuft alles immer durch und funktioniert im Anschluss auch, deshalb hier die Frage sind diese Meldungen vernachlässigbar oder muss ich da was tun?

    Als Beispiel der Log-Auszug beim Update des iCal-Adapters:

    exit 0
    iobroker	2018-04-17 22:34:55.004	info	Adapter "ical" updated
    iobroker	2018-04-17 22:34:54.947	info	upload [0] ical.admin /opt/iobroker/node_modules/iobroker.ical/admin/ical.png ical.png image/png
    iobroker	2018-04-17 22:34:54.890	info	upload [1] ical.admin /opt/iobroker/node_modules/iobroker.ical/admin/index.html index.html text/html
    iobroker	2018-04-17 22:34:54.835	info	upload [2] ical.admin /opt/iobroker/node_modules/iobroker.ical/admin/index_m.html index_m.html text/html
    host.iobroker	2018-04-17 22:34:54.798	info	stopInstance canceled schedule system.adapter.ical.1
    host.iobroker	2018-04-17 22:34:54.798	info	stopInstance system.adapter.ical.1
    host.iobroker	2018-04-17 22:34:54.797	info	object change system.adapter.ical.1
    host.iobroker	2018-04-17 22:34:54.787	info	stopInstance canceled schedule system.adapter.ical.0
    host.iobroker	2018-04-17 22:34:54.786	info	stopInstance system.adapter.ical.0
    host.iobroker	2018-04-17 22:34:54.786	info	object change system.adapter.ical.0
    iobroker	2018-04-17 22:34:54.781	info	Update "system.adapter.ical.1"
    iobroker	2018-04-17 22:34:54.778	info	Update "system.adapter.ical.0"
    iobroker	2018-04-17 22:34:54.768	info	upload [3] ical.admin /opt/iobroker/node_modules/iobroker.ical/admin/words.js words.js application/javascript
    iobroker	2018-04-17 22:34:54.741	info	got /opt/iobroker/node_modules/iobroker.ical/admin
    iobroker	2018-04-17 22:34:49.677	info	npm install --production (System call) in "/opt/iobroker/node_modules/iobroker.ical"
    iobroker	2018-04-17 22:34:49.649	info	npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
    iobroker	2018-04-17 22:34:49.649	info	npm WARN optional SKIPPING OPTIONAL DEPENDENCY: usb@1.3.1 (node_modules/usb):npm WARN optional SKIPPING OPTIONAL DEPENDENCY: usb@1.3.1 install: `node-pre-gyp install --fallback-to-build`
    iobroker	2018-04-17 22:34:49.649	info	optional SKIPPING OPTIONAL DEPENDENCY: xpc-connection@~0.1.4 (node_modules/noble/node_modules/xpc-connection):npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for xpc-connection@0.
    iobroker	2018-04-17 22:34:49.647	info	WARN
    iobroker	2018-04-17 22:34:49.646	info	
    iobroker	2018-04-17 22:34:49.644	info	npm
    iobroker	2018-04-17 22:34:40.265	info	not ok
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR!
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! node-pre-gyp -v v0.6.39
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! node -v v6.11.5
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! cwd /opt/iobroker/node_modules/usb
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! System Linux 3.16.0-4-amd64
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:230:5)
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:920:16)
    iobroker	2018-04-17 22:34:40.262	info	node-pre-gyp ERR! stack at emitTwo (events.js:106:13)node-pre-gyp ERR! stack at ChildProcess.emit (events.js:191:7)
    iobroker	2018-04-17 22:34:40.259	info	node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/opt/iobroker/node_modules/usb/src/b
    iobroker	2018-04-17 22:34:40.257	info	node-pre-gyp ERR! build error
    iobroker	2018-04-17 22:34:40.255	info	gyp ERR! not ok
    iobroker	2018-04-17 22:34:40.255	info	gyp ERR! node-gyp -v v3.6.0
    iobroker	2018-04-17 22:34:40.255	info	gyp ERR! node -v v6.11.5
    iobroker	2018-04-17 22:34:40.255	info	gyp ERR! cwd /opt/iobroker/node_modules/usb
    iobroker	2018-04-17 22:34:40.255	info	gyp ERR! System Linux 3.16.0-4-amd64gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "build" "--fallback-to-build" "--module=/opt/iobroker/node_modul
    iobroker	2018-04-17 22:34:40.254	info	gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
    iobroker	2018-04-17 22:34:40.254	info	gyp ERR! stack at ChildProcess.emit (events.js:191:7)
    iobroker	2018-04-17 22:34:40.254	info	gyp ERR! stack at emitTwo (events.js:106:13)
    iobroker	2018-04-17 22:34:40.254	info	gyp ERR! stack Error: `make` failed with exit code: 2gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:285:23)
    iobroker	2018-04-17 22:34:40.250	info	ERR! build error
    iobroker	2018-04-17 22:34:40.249	info	gyp
    iobroker	2018-04-17 22:34:40.245	info	make: *** [Release/obj.target/libusb/libusb/libusb/os/linux_udev.o] Error 1
    iobroker	2018-04-17 22:34:40.131	info	compilation terminated.
    iobroker	2018-04-17 22:34:40.131	info	^
    iobroker	2018-04-17 22:34:40.131	info	../libusb/libusb/os/linux_udev.c:40:21: fatal error: libudev.h: Datei oder Verzeichnis nicht gefunden #include
    iobroker	2018-04-17 22:34:36.579	info	ERR! Tried to download(404): https://github.com/tessel/node-usb/releases/download/1.3.1/usb_bindings-v1.3.1-node-v48-linux-x64.tar.gz node-pre-gyp ERR! Pre-built binaries not found for usb@1.3.1 and
    iobroker	2018-04-17 22:34:36.577	info	node-pre-gyp
    host.iobroker	2018-04-17 22:34:12.986	info	instance system.adapter.vis.0 terminated while should be started once
    iobroker	2018-04-17 22:34:12.691	info	WARN deprecated node-uuid@1.4.8: Use uuid module instead
    iobroker	2018-04-17 22:34:12.663	info	npm
    vis.0	2018-04-17 22:34:12.474	info	Uploaded. 0
    iobroker	2018-04-17 22:33:59.828	info	npm install iobroker.ical@1.6.0 --production --save --prefix "/opt/iobroker" (System call)
    iobroker	2018-04-17 22:33:59.492	info	NPM version: 4.6.1
    iobroker	2018-04-17 22:33:59.184	info	Update ical from @1.5.3 to @1.6.0
    iobroker	2018-04-17 22:33:58.544	info	upgrade ical
    

    Würde mich freuen wenn mir jemand hier mal ne Info geben kann



  • Betrifft nur optionale Abhängigkeiten. Alles ok. Mit der Installation einiger Pakete könnte man die Fehler minimieren aber muss nicht.



  • Dank dir!


Log in to reply
 

Suggested Topics

2.1k
Online

32.3k
Users

39.0k
Topics

528.0k
Posts